%define version 0.2.2
%define release 1
%define name ipasserelle-gp


Summary: Gestion de Parc iPasserelle
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools

Requires: ipasserelle-base
Requires: smeserver-fusioninventory-agent

Obsoletes: smeserver-loginscript
Provides: smeserver-loginscript

%description
Ce paquet permet de gérer un parc de machines sous MS Windows
Basé sur WPKG et d'autres outils

%changelog
* Fri Jul 6 2012 aniel Berteaud <daniel@firewall-services.com> - 0.2.2-1
- Add JCE in workstation profile

* Wed Jul 4 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.2.1-1
- Add ultradefrag in default profile

* Mon Jul 2 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.2.0-1
- Provide a session script framework
- Include a panel to manage custom session script
- Provides scripts to autoconfigure Thunderbird

* Wed Jun 20 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.2-1
- Make standard profiles depends on workstation instead of default

* Mon Jun 11 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.1-1.sme
- restructure profiles

* Mon Jun 11 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.0-1.sme
- initial release


%prep
%setup -q -n %{name}-%{version}

%build
%{__mkdir_p} root/home/e-smith/files/shares/wpkg/files/profiles/
%{__mkdir_p} root/home/e-smith/files/shares/tools/files/scripts/users
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  --file /home/e-smith/files/shares/wpkg/files/profiles.xml 'attr(0770,root,admin) %config(noreplace)' \
  --file /home/e-smith/files/shares/wpkg/files/hosts.xml 'attr(0770,root,admin) %config(noreplace)' \
  --file /home/e-smith/files/shares/wpkg/files/packages.xml 'attr(0770,root,admin) %config(noreplace)' \
  > %{name}-%{version}-filelist
echo "%doc CHANGELOG.git" >> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%post

%preun

